#ifndef CORE_H
#define CORE_H

#include <gtk/gtk.h>
#include "guiutils.h"
#include "cfg.h"
#include "dspview.h"
#include "win.h"


typedef struct _core_struct     core_struct;


/*
 *	Core:
 */
struct _core_struct {

	cfg_item_struct	*cfg_list;

	GdkCursor	*busy_cur;
	gboolean	close_all_windows;
	GList		*win;

	/* Command Line GUI Overrides */
	gchar		*title,
			*wm_name,
			*wm_class;
	GdkGeometryFlags geometry_flags;
	GdkRectangle	*geometry;
	gboolean	iconic;

};
#define CORE(p)		((core_struct *)(p))


extern win_struct *MainWinNew(core_struct *core);


#endif	/* CORE_H */
